If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent dom/media/tests/mochitest/test_peerConnection_constructedStream.html | application crashed [@ mozalloc_abort]

RESOLVED INCOMPLETE

Status

()

Core
WebRTC
P2
critical
Rank:
27
RESOLVED INCOMPLETE
3 months ago
9 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents, crash, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

(Reporter)

Description

3 months ago
treeherder
Filed by: philringnalda [at] gmail.com

https://treeherder.mozilla.org/logviewer.html#?job_id=107615859&repo=mozilla-central

https://queue.taskcluster.net/v1/task/XUcTT3-LTQeBN8Fr1XDOfg/runs/0/artifacts/public/logs/live_backing.log

Comment 1

3 months ago
Shutdown crash?

[task 2017-06-16T09:11:25.011205Z] 09:11:25     INFO - Thread 0 (crashed)
[task 2017-06-16T09:11:25.011841Z] 09:11:25     INFO -  0  firefox!mozalloc_abort [mozalloc_abort.cpp:fe809f57bf22 : 33 + 0x5]
[task 2017-06-16T09:11:25.012517Z] 09:11:25     INFO -     eip = 0x0804dab3   esp = 0xffe5c910   ebp = 0xffe5c928   ebx = 0x08070230
[task 2017-06-16T09:11:25.013253Z] 09:11:25     INFO -     esi = 0xf74bfdf8   edi = 0xffe5c96c   eax = 0x00000000   ecx = 0xf74c0864
[task 2017-06-16T09:11:25.014769Z] 09:11:25     INFO -     edx = 0x00000000   efl = 0x00010286
[task 2017-06-16T09:11:25.015432Z] 09:11:25     INFO -     Found by: given as instruction pointer in context
[task 2017-06-16T09:11:25.015697Z] 09:11:25     INFO -  1  firefox!abort [mozalloc_abort.cpp:fe809f57bf22 : 80 + 0xc]
[task 2017-06-16T09:11:25.016724Z] 09:11:25     INFO -     eip = 0x0804da81   esp = 0xffe5c930   ebp = 0xffe5c948   ebx = 0x08070230
[task 2017-06-16T09:11:25.016821Z] 09:11:25     INFO -     esi = 0xffe5c9b0   edi = 0xffe5c96c
[task 2017-06-16T09:11:25.017521Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.017600Z] 09:11:25     INFO -  2  libxul.so!rtc::FatalMessage::~FatalMessage [checks.cc:fe809f57bf22 : 109 + 0x5]
[task 2017-06-16T09:11:25.017745Z] 09:11:25     INFO -     eip = 0xf27b69a8   esp = 0xffe5c950   ebp = 0xffe5c988   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.018474Z] 09:11:25     INFO -     esi = 0xffe5c9b0   edi = 0xffe5c96c
[task 2017-06-16T09:11:25.018535Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.019257Z] 09:11:25     INFO -  3  libxul.so!rtc::CriticalSection::Enter [criticalsection.cc:fe809f57bf22 : 103 + 0x17]
[task 2017-06-16T09:11:25.019335Z] 09:11:25     INFO -     eip = 0xf27b743c   esp = 0xffe5c990   ebp = 0xffe5ca68   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.020155Z] 09:11:25     INFO -     esi = 0xffe5c9ac   edi = 0xffe5ca9c
[task 2017-06-16T09:11:25.020248Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.020334Z] 09:11:25     INFO -  4  libxul.so!rtc::ThreadCheckerImpl::CalledOnValidThread [thread_checker_impl.cc:fe809f57bf22 : 27 + 0x5]
[task 2017-06-16T09:11:25.020604Z] 09:11:25     INFO -     eip = 0xf27b99c3   esp = 0xffe5ca70   ebp = 0xffe5cab8   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.021031Z] 09:11:25     INFO -     esi = 0xdbe530ec   edi = 0xffe5ca9c
[task 2017-06-16T09:11:25.021458Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.021927Z] 09:11:25     INFO -  5  libxul.so!rtc::VideoBroadcaster::AddOrUpdateSink [videobroadcaster.cc:fe809f57bf22 : 28 + 0x9]
[task 2017-06-16T09:11:25.022401Z] 09:11:25     INFO -     eip = 0xf27c531d   esp = 0xffe5cac0   ebp = 0xffe5cba8   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.022841Z] 09:11:25     INFO -     esi = 0xffe5cadc   edi = 0xdbe530b4
[task 2017-06-16T09:11:25.023313Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.023843Z] 09:11:25     INFO -  6  libxul.so!mozilla::media::LambdaRunnable<mozilla::WebrtcVideoConduit::AddOrUpdateSink(rtc::VideoSinkInterface<webrtc::VideoFrame>*, const rtc::VideoSinkWants&)::<lambda()> >::Run [VideoConduit.cpp:fe809f57bf22 : 1874 + 0xb]
[task 2017-06-16T09:11:25.024310Z] 09:11:25     INFO -     eip = 0xf2c2c414   esp = 0xffe5cbb0   ebp = 0xffe5cbe8   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.024778Z] 09:11:25     INFO -     esi = 0xffe5cbcc   edi = 0xdbc34894
[task 2017-06-16T09:11:25.025214Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.025749Z] 09:11:25     INFO -  7  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:fe809f57bf22 : 1428 + 0x17]
[task 2017-06-16T09:11:25.026227Z] 09:11:25     INFO -     eip = 0xeffcf9a3   esp = 0xffe5cbf0   ebp = 0xffe5ccc8   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.026656Z] 09:11:25     INFO -     esi = 0xf71db290   edi = 0xffe5cc54
[task 2017-06-16T09:11:25.027084Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.027545Z] 09:11:25     INFO -  8  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:fe809f57bf22 : 472 + 0x10]
[task 2017-06-16T09:11:25.028001Z] 09:11:25     INFO -     eip = 0xeffcb7d1   esp = 0xffe5ccd0   ebp = 0xffe5cd08   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.028436Z] 09:11:25     INFO -     esi = 0xf71db290   edi = 0xd16f6100
[task 2017-06-16T09:11:25.028869Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.029706Z] 09:11:25     INFO -  9  libxul.so!nsThread::Shutdown [nsThreadUtils.h:fe809f57bf22 : 281 + 0xd]
[task 2017-06-16T09:11:25.030099Z] 09:11:25     INFO -     eip = 0xeffcc1ec   esp = 0xffe5cd10   ebp = 0xffe5cd48   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.030446Z] 09:11:25     INFO -     esi = 0xd6185520   edi = 0xd16f6100
[task 2017-06-16T09:11:25.030871Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.031384Z] 09:11:25     INFO - 10  libxul.so!nsThreadPool::Shutdown [nsThreadPool.cpp:fe809f57bf22 : 341 + 0x8]
[task 2017-06-16T09:11:25.031843Z] 09:11:25     INFO -     eip = 0xeffc9826   esp = 0xffe5cd50   ebp = 0xffe5cd98   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.032284Z] 09:11:25     INFO -     esi = 0x00000001   edi = 0xffe5cd7c
[task 2017-06-16T09:11:25.032779Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.033272Z] 09:11:25     INFO - 11  libxul.so!mozilla::detail::RunnableMethodImpl<nsCOMPtr<nsIThreadPool>, nsresult (nsIThreadPool::*)(), true, (mozilla::RunnableKind)0u>::Run [nsThreadUtils.h:fe809f57bf22 : 1084 + 0x16]
[task 2017-06-16T09:11:25.033734Z] 09:11:25     INFO -     eip = 0xeffb3bcf   esp = 0xffe5cda0   ebp = 0xffe5cdb8   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.039550Z] 09:11:25     INFO -     esi = 0xf52ea748   edi = 0xffe5ce24
[task 2017-06-16T09:11:25.040053Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.041046Z] 09:11:25     INFO - 12  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:fe809f57bf22 : 1428 + 0x17]
[task 2017-06-16T09:11:25.042166Z] 09:11:25     INFO -     eip = 0xeffcf9a3   esp = 0xffe5cdc0   ebp = 0xffe5ce98   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.043242Z] 09:11:25     INFO -     esi = 0xf71db290   edi = 0xffe5ce24
[task 2017-06-16T09:11:25.044272Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.045456Z] 09:11:25     INFO - 13  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:fe809f57bf22 : 472 + 0x10]
[task 2017-06-16T09:11:25.046397Z] 09:11:25     INFO -     eip = 0xeffcb7d1   esp = 0xffe5cea0   ebp = 0xffe5ced8   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.046714Z] 09:11:25     INFO -     esi = 0xf71db290   edi = 0xdcc15140
[task 2017-06-16T09:11:25.047452Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.047785Z] 09:11:25     INFO - 14  libxul.so!nsThread::Shutdown [nsThreadUtils.h:fe809f57bf22 : 281 + 0xd]
[task 2017-06-16T09:11:25.048184Z] 09:11:25     INFO -     eip = 0xeffcc1ec   esp = 0xffe5cee0   ebp = 0xffe5cf18   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.048579Z] 09:11:25     INFO -     esi = 0xd93b5040   edi = 0xdcc15140
[task 2017-06-16T09:11:25.048901Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.049234Z] 09:11:25     INFO - 15  libxul.so!nsThreadPool::Shutdown [nsThreadPool.cpp:fe809f57bf22 : 341 + 0x8]
[task 2017-06-16T09:11:25.049661Z] 09:11:25     INFO -     eip = 0xeffc9826   esp = 0xffe5cf20   ebp = 0xffe5cf68   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.050106Z] 09:11:25     INFO -     esi = 0x00000001   edi = 0xffe5cf4c
[task 2017-06-16T09:11:25.050576Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.051102Z] 09:11:25     INFO - 16  libxul.so!mozilla::detail::RunnableMethodImpl<nsCOMPtr<nsIThreadPool>, nsresult (nsIThreadPool::*)(), true, (mozilla::RunnableKind)0u>::Run [nsThreadUtils.h:fe809f57bf22 : 1084 + 0x16]
[task 2017-06-16T09:11:25.051630Z] 09:11:25     INFO -     eip = 0xeffb3bcf   esp = 0xffe5cf70   ebp = 0xffe5cf88   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.052097Z] 09:11:25     INFO -     esi = 0xf52ea748   edi = 0xffe5cff4
[task 2017-06-16T09:11:25.052596Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.053074Z] 09:11:25     INFO - 17  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:fe809f57bf22 : 1428 + 0x17]
[task 2017-06-16T09:11:25.053536Z] 09:11:25     INFO -     eip = 0xeffcf9a3   esp = 0xffe5cf90   ebp = 0xffe5d068   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.054004Z] 09:11:25     INFO -     esi = 0xf71db290   edi = 0xffe5cff4
[task 2017-06-16T09:11:25.054486Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.054971Z] 09:11:25     INFO - 18  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:fe809f57bf22 : 472 + 0x10]
[task 2017-06-16T09:11:25.055473Z] 09:11:25     INFO -     eip = 0xeffcb7d1   esp = 0xffe5d070   ebp = 0xffe5d0a8   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.055943Z] 09:11:25     INFO -     esi = 0xf71db290   edi = 0xf713c210
[task 2017-06-16T09:11:25.056389Z] 09:11:25     INFO -     Found by: call frame info
[task 2017-06-16T09:11:25.056875Z] 09:11:25     INFO - 19  libxul.so!mozilla::ipc::MessagePump::Run [MessagePump.cpp:fe809f57bf22 : 96 + 0xc]
[task 2017-06-16T09:11:25.057393Z] 09:11:25     INFO -     eip = 0xf039178c   esp = 0xffe5d0b0   ebp = 0xffe5d0f8   ebx = 0xf555fe74
[task 2017-06-16T09:11:25.057861Z] 09:11:25     INFO -     esi = 0xeee03550   edi = 0xf713c210
[task 2017-06-16T09:11:25.058343Z] 09:11:25     INFO -     Found by: call frame info
Rank: 27
Priority: -- → P2

Comment 2

3 months ago
1 failures in 892 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374159&startday=2017-06-19&endday=2017-06-25&tree=all
Status: NEW → RESOLVED
Last Resolved: 9 days ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.